Skip to main content
POST
/
api
/
v1
/
client
/
txt2video
cURL
curl --request POST \
  --url https://api.deapi.ai/api/v1/client/txt2video \
  --header 'Accept: <accept>' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "A beautiful sunset over mountains",
  "width": 512,
  "height": 512,
  "guidance": 7.5,
  "steps": 20,
  "frames": 20,
  "seed": 42,
  "model": "Ltxv_13B_0_9_8_Distilled_FP8",
  "negative_prompt": "blur, darkness, noise",
  "fps": 30,
  "webhook_url": "https://your-server.com/webhooks/deapi"
}
'
{
  "data": {
    "request_id": "c08a339c-73e5-4d67-a4d5-231302fbff9a"
  }
}
Prerequisite: To ensure a successful request, you must first consult the Model Selection endpoint to identify a valid model slug, check specific limits and features, and verify LoRA availability.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept
enum<string>
default:application/json
required
Available options:
application/json

Body

application/json

Text to video conversion parameters

prompt
string
required

The main prompt for video generation

Example:

"A beautiful sunset over mountains"

width
integer
required

Width of the generated video in pixels

Example:

512

height
integer
required

Height of the generated video in pixels

Example:

512

guidance
number
required

Guidance scale for the generation

Example:

7.5

steps
integer
required

Number of inference steps

Example:

20

frames
integer
required

Number of video frames to generate

Example:

20

seed
integer
required

Random seed for generation

Example:

42

model
string
required

The model to use for video generation. Available models can be retrieved via the GET /api/v1/client/models endpoint.

Example:

"Ltxv_13B_0_9_8_Distilled_FP8"

negative_prompt
string | null

Elements to avoid in the generated video

Example:

"blur, darkness, noise"

fps
integer

FPS of generated video

Example:

30

webhook_url
string<uri> | null

Optional HTTPS URL to receive webhook notifications for job status changes (processing, completed, failed). Must be HTTPS. Max 2048 characters. See Webhook Documentation for payload structure and authentication details.

Maximum string length: 2048
Example:

"https://your-server.com/webhooks/deapi"

Response

ID of the inference request.

data
object

Information from success endpoint